<?php

/* 
 * play.php - the script to open a connection to irmp3 for sending a play comand
 *
 * Copyright (c) by Andreas S. Krebs (andreas.krebs@web.de)
 *
 * when done this script calls current.php to display the current song.
 *
 */

require("config.inc");

// why is ` still escaped, is this a bug or a feature of php?
$file=str_replace("\'", "'", $file);
$file=str_replace("\`", "`", $file);

// open a connection to irmp3's mod_netctl
$fp=fsockopen($IRMP3_HOST, $IRMP3_PORT);
if(!$fp)
{
  echo("<HTML><BODY>ERROR</BODY></HTML>");
}
else
{
   // send the play comand to irmp3
   fputs($fp, "play $file\n");
   
   // read a few lines, to make sure the comand was sent
   $cnt=0;
   do
   {
      $tmp=fgets($fp, 4096);
      $cnt++;
   }while((strpos($tmp, "play") === false) && $cnt<5);

   fclose($fp);
}

// now use current.php to display the current song
require("current.php");

?>
